<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.5.15</version>
        <relativePath/>
    </parent>

    <groupId>com.openhis</groupId>
    <artifactId>openhis-server</artifactId>
    <version>0.0.1-SNAPSHOT</version>

    <name>openhis-server</name>
    <description>开放医疗管理系统</description>

    <properties>
        <openhis.version>0.0.1-SNAPSHOT</openhis.version>
        <core.version>0.0.1-SNAPSHOT</core.version>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>17</java.version>
        <maven-jar-plugin.version>3.1.1</maven-jar-plugin.version>
        <druid.version>1.2.27</druid.version>
        <bitwalker.version>1.21</bitwalker.version>
        <swagger.version>3.0.0</swagger.version>
        <kaptcha.version>2.3.3</kaptcha.version>
        <pagehelper.boot.version>1.4.7</pagehelper.boot.version>
        <oshi.version>6.6.5</oshi.version>
        <commons.io.version>2.13.0</commons.io.version>
        <poi.version>4.1.2</poi.version>
        <velocity.version>2.3</velocity.version>
        <jwt.version>0.9.1</jwt.version>
        <!-- override dependency version -->
        <tomcat.version>9.0.96</tomcat.version>
        <logback.version>1.2.13</logback.version>
        <lombok.version>1.18.26</lombok.version>
        <mybatis-plus.version>3.5.3</mybatis-plus.version>
        <flowable.version>6.8.0</flowable.version>
        <postgresql.version>42.2.27</postgresql.version>
        <aviator.version>5.3.3</aviator.version>
        <swagger-annotations.version>1.5.21</swagger-annotations.version>
        <fastjson2.version>2.0.58</fastjson2.version>
        <swagger-models.version>1.6.2</swagger-models.version>
        <pinyin4j.version>2.5.1</pinyin4j.version>
        <liteflow-spring-boot-starter.version>2.12.4.1</liteflow-spring-boot-starter.version>
        <hutool-all.version>5.3.8</hutool-all.version>
        <bcprov-jdk15on.version>1.69</bcprov-jdk15on.version>
        <kernel.version>7.1.2</kernel.version>
        <itextpdf.version>5.5.12</itextpdf.version>
        <itext-asian.version>5.2.0</itext-asian.version>
        <mysql-connector-j.version>9.4.0</mysql-connector-j.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
            <scope>provided</scope>
        </dependency>
    </dependencies>

    <!-- 依赖声明 -->
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.mysql</groupId>
                <artifactId>mysql-connector-j</artifactId>
                <version>${mysql-connector-j.version}</version>
            </dependency>

            <!-- pdf依赖-->
            <dependency>
                <groupId>com.itextpdf</groupId>
                <artifactId>itextpdf</artifactId>
                <version>${itextpdf.version}</version>
            </dependency>
            <dependency>
                <groupId>com.itextpdf</groupId>
                <artifactId>itext-asian</artifactId>
                <version>${itext-asian.version}</version>
            </dependency>

            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool-all.version}</version>
            </dependency>

            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk15on</artifactId>
                <version>${bcprov-jdk15on.version}</version>
            </dependency>


            <dependency>
                <groupId>com.itextpdf</groupId>
                <artifactId>kernel</artifactId>
                <version>${kernel.version}</version>
            </dependency>


            <!-- CORE-->
            <dependency>
                <groupId>com.core</groupId>
                <artifactId>core-admin</artifactId>
                <version>${project.version}</version>
            </dependency>

            <!-- liteflow-->
            <dependency>
                <groupId>com.yomahub</groupId>
                <artifactId>liteflow-spring-boot-starter</artifactId>
                <version>${liteflow-spring-boot-starter.version}</version>
            </dependency>

            <!-- 中文汉字转换为首字母拼音包 -->
            <dependency>
                <groupId>com.belerweb</groupId>
                <artifactId>pinyin4j</artifactId>
                <version>${pinyin4j.version}</version>
            </dependency>

            <!-- 防止进入swagger页面报类型转换错误，排除3.0.0中的引用，手动增加1.6.2版本 -->
            <dependency>
                <groupId>io.swagger</groupId>
                <artifactId>swagger-models</artifactId>
                <version>${swagger-models.version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson2.version}</version>
            </dependency>

            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson2.version}</version>
            </dependency>

            <!-- Swagger API文档的注解 -->
            <dependency>
                <groupId>io.swagger</groupId>
                <artifactId>swagger-annotations</artifactId>
                <version>${swagger-annotations.version}</version>
            </dependency>


            <!--el表达式计算-->
            <dependency>
                <groupId>com.googlecode.aviator</groupId>
                <artifactId>aviator</artifactId>
                <version>${aviator.version}</version>
            </dependency>

            <!-- 小程序应用 -->
            <dependency>
                <groupId>com.openhis</groupId>
                <artifactId>openhis-miniapp</artifactId>
                <version>${openhis.version}</version>
            </dependency>

            <!-- 应用 -->
            <dependency>
                <groupId>com.openhis</groupId>
                <artifactId>openhis-application</artifactId>
                <version>${openhis.version}</version>
            </dependency>

            <!-- 领域 -->
            <dependency>
                <groupId>com.openhis</groupId>
                <artifactId>openhis-domain</artifactId>
                <version>${openhis.version}</version>
            </dependency>

            <!-- 共通 -->
            <dependency>
                <groupId>com.openhis</groupId>
                <artifactId>openhis-common</artifactId>
                <version>${openhis.version}</version>
            </dependency>

            <!-- 定时任务-->
            <dependency>
                <groupId>com.core</groupId>
                <artifactId>core-quartz</artifactId>
                <version>${core.version}</version>
            </dependency>

            <!-- 代码生成-->
            <dependency>
                <groupId>com.core</groupId>
                <artifactId>core-generator</artifactId>
                <version>${core.version}</version>
            </dependency>

            <!-- 核心模块-->
            <dependency>
                <groupId>com.core</groupId>
                <artifactId>core-framework</artifactId>
                <version>${core.version}</version>
            </dependency>

            <!-- 系统模块-->
            <dependency>
                <groupId>com.core</groupId>
                <artifactId>core-system</artifactId>
                <version>${core.version}</version>
            </dependency>

            <!-- 通用工具-->
            <dependency>
                <groupId>com.core</groupId>
                <artifactId>core-common</artifactId>
                <version>${core.version}</version>
            </dependency>

            <!-- flowable工作流-->
            <dependency>
                <groupId>com.core</groupId>
                <artifactId>core-flowable</artifactId>
                <version>${core.version}</version>
            </dependency>

            <!-- mybatis-plus 增强CRUD -->
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>


            <!-- 阿里数据库连接池 -->
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-starter</artifactId>
                <version>${druid.version}</version>
            </dependency>

            <!-- 解析客户端操作系统、浏览器等 -->
            <dependency>
                <groupId>eu.bitwalker</groupId>
                <artifactId>UserAgentUtils</artifactId>
                <version>${bitwalker.version}</version>
            </dependency>

            <!-- pagehelper 分页插件 -->
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>${pagehelper.boot.version}</version>
            </dependency>

            <!-- 获取系统信息 -->
            <dependency>
                <groupId>com.github.oshi</groupId>
                <artifactId>oshi-core</artifactId>
                <version>${oshi.version}</version>
            </dependency>

            <!-- Swagger3依赖 -->
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-boot-starter</artifactId>
                <version>${swagger.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>io.swagger</groupId>
                        <artifactId>swagger-models</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>

            <!-- io常用工具类 -->
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons.io.version}</version>
            </dependency>

            <!-- excel工具 -->
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>${poi.version}</version>
            </dependency>

            <!-- velocity代码生成使用模板 -->
            <dependency>
                <groupId>org.apache.velocity</groupId>
                <artifactId>velocity-engine-core</artifactId>
                <version>${velocity.version}</version>
            </dependency>

            <!-- Token生成与解析-->
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jwt.version}</version>
            </dependency>

            <!-- 验证码 -->
            <dependency>
                <groupId>pro.fessional</groupId>
                <artifactId>kaptcha</artifactId>
                <version>${kaptcha.version}</version>
            </dependency>

            <!-- 轻量级的业务流程引擎 -->
            <dependency>
                <groupId>org.flowable</groupId>
                <artifactId>flowable-spring-boot-starter</artifactId>
                <version>${flowable.version}</version>
            </dependency>

            <dependency>
                <groupId>org.postgresql</groupId>
                <artifactId>postgresql</artifactId>
                <version>${postgresql.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

    <modules>
        <module>openhis-application</module>
        <module>openhis-domain</module>
        <module>openhis-common</module>
        <module>core-admin</module>
        <module>core-framework</module>
        <module>core-system</module>
        <module>core-quartz</module>
        <module>core-generator</module>
        <module>core-common</module>
        <module>core-flowable</module>
        <module>openhis-einvoiceapp</module>
    </modules>
    <packaging>pom</packaging>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>${maven-compiler-plugin.version}</version>
                <configuration>
                    <source>${java.version}</source>
                    <target>${java.version}</target>
                    <encoding>${project.build.sourceEncoding}</encoding>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <repositories>
        <repository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
        </repository>
    </repositories>

    <pluginRepositories>
        <pluginRepository>
            <id>public</id>
            <name>aliyun nexus</name>
            <url>https://maven.aliyun.com/repository/public</url>
            <releases>
                <enabled>true</enabled>
            </releases>
            <snapshots>
                <enabled>false</enabled>
            </snapshots>
        </pluginRepository>
    </pluginRepositories>

</project>